Wind River Support Network

HomeDefectsLIN5-6568
Fixed

LIN5-6568 : openssl fails to build due to pod2man errors.

Created: Nov 4, 2013    Updated: Dec 19, 2017
Resolved Date: Dec 2, 2013
Found In Version: 5.0.1
Fix Version: 5.0.1.10
Severity: Severe
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

Build fails as follows.

created directory `/builds-2013-11-03-224409/x86-64-kvm-guest-ovp/bitbake_build/tmp/work/x86_64-linux/openssl-native-1.0.0i-r2.8.1/image/home/paul/wr/nx-run/builds-2013-11-03-224409/x86-64-kvm-guest-ovp/bitbake_build/tmp/sysroots/x86_64-linux/usr/share/man/man7'
installing man1/CA.pl.1ssl
installing man1/asn1parse.1ssl
installing man1/ca.1ssl
installing man1/ciphers.1ssl
installing man1/cms.1ssl
cms.pod around line 457: Expected text after =item, not a number
cms.pod around line 461: Expected text after =item, not a number
cms.pod around line 465: Expected text after =item, not a number
cms.pod around line 470: Expected text after =item, not a number
cms.pod around line 474: Expected text after =item, not a number
POD document had syntax errors at /usr/bin/pod2man line 71.
make: *** [install_docs] Error 255
ERROR: oe_runmake failed

It is a known issue, and already solved.  We just need the fix integrated.

See bug report here:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=723954

Here is the fix that gentoo used:

http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/dev-libs/openssl/files/openssl-1.0.1e-perl-5.18.patch?revision=1.1

Steps to Reproduce

Build on a machine with modern perl (debian for example).

Other Downloads


Live chat
Online